package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesWeigh;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * 称重服务
 *
 * @author yumingxing
 * @date 2021/02/07
 */
public interface IWeighService {

    /**
     * 新增
     * @param weigh
     * @return
     */
    MesWeigh insert(MesWeigh weigh);
    /**
     * 修改
     * @param weigh
     * @return
     */
    MesWeigh  update(MesWeigh weigh);

    /**
     * 查询
     * @param weigh
     * @param pager
     * @return
     */
    ListPager<MesWeigh> queryByPager(MesWeigh weigh, Pager pager);

    /**
     * 根据
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);

}
